> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xapi.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Communities

> Search Communities



## OpenAPI

````yaml /api-reference/openapi.json get /api/v2/community/search
openapi: 3.1.0
info:
  title: xAPI
  description: xAPI
  version: 1.0.0
servers:
  - url: https://twitter-x-api.p.rapidapi.com
    description: RapidAPI
security: []
paths:
  /api/v2/community/search:
    get:
      tags:
        - Community
      summary: Search Communities
      description: Search Communities
      operationId: getApiV2CommunitySearch
      parameters:
        - in: query
          name: keyword
          schema:
            type: string
            description: Search keyword
            example: crypto
          required: true
        - in: query
          name: count
          schema:
            type: integer
            exclusiveMinimum: 0
            default: 20
            description: The number of results to be returned
            example: 20
          required: false
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  cursor:
                    type: string
                    description: >-
                      Cursor for pagination. Use this value in subsequent
                      requests to fetch more data
                    example: WzI1NS43MjMxMywxNjc3OTAxMjM3NjM3ODU3MjgxXQ==
                  has_more:
                    type: boolean
                    description: Indicates whether there are more data available to fetch
                    example: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Unique identifier of the community
                          example: '1508567430188126209'
                        is_nsfw:
                          type: boolean
                          description: >-
                            Indicates whether the community contains content
                            that may be unsafe for work (NSFW)
                          example: false
                        member_count:
                          type: number
                          description: Total number of members in the community
                          example: 142585
                        name:
                          type: string
                          description: Display name of the community
                          example: Stock & Crypto Trading
                        topic:
                          type: string
                          description: Primary topic or category of the community
                          example: Finance
                        banner_url:
                          type: string
                          description: URL of the community banner image
                          example: >-
                            https://pbs.twimg.com/community_banner_img/1832932658630086656/3uFbvMVV?format=jpg&name=orig
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: >-
        Rapid API Key. [How can I get Rapid API
        Key?](https://docs.xapi.sh/getting-started/quickstart)

````